
Redmine - Patch #3424

svn invocation shouldn't be interactive

2009-05-27 15:16 - Alexey Palazhchenko

Status: Closed Start date: 2009-05-27

Priority: High Due date:  

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8.6   

Description

Just see patch, I think no comments needed. :)

Associated revisions

Revision 2819 - 2009-07-10 05:24 - Eric Davis

Change subversion adapter to not cache authentication and run non interactively

#3424

History

#1 - 2009-06-16 07:58 - Alexey Palazhchenko

May be I should write more about this patch?

Sometimes svn command interactively asks user about things like 'store password in plaintext?'. It breaks Redmine's Subversion support - it just

hangs. Attached patch fixes this problem.

Please apply to trunk and latest stable branch, it's trivial. :)

#2 - 2009-06-16 20:34 - Jens Goldhammer

+1 from my side. What´s the problem ? :-)

#3 - 2009-07-10 05:25 - Eric Davis

- Status changed from New to Closed

- Target version set to 0.8.5

- % Done changed from 0 to 100

Looks good to me, this might help out with some of the authentication problems people have had. Added in r2819.

#4 - 2009-09-23 03:37 - Eric Davis

- Target version changed from 0.8.5 to 0.8.6

Looks like I forget to merge this into 0.8-stable for 0.8.5.  Merged in r2899 as part of 0.8.6.
